6.0.0-git
2019-03-18

[#8532] Net_IMSP Sometimes parseFetchAddress fails to remove double quotes
Summary Net_IMSP Sometimes parseFetchAddress fails to remove double quotes
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester noah (at) lsit (dot) ucsb (dot) edu
Created 2009-08-27 (3490 days ago)
Due
Updated 2009-10-01 (3455 days ago)
Assigned 2009-08-28 (3489 days ago)
Resolved 2009-10-01 (3455 days ago)
Milestone
Patch Yes

History
2009-10-01 23:15:50 Michael Rubinsky Comment #3
State ⇒ Resolved
Reply to this comment
Committed and merged to FW_3, thanks!
2009-10-01 23:04:36 CVS Commit Comment #2 Reply to this comment
Changes have been made in CVS for this ticket:

Strip off quotes send back by imspd.
Bug: 8532
Submitted by: noah (at) lsit (dot) ucsb (dot) edu
http://cvs.horde.org/diff.php/framework/Net_IMSP/IMSP/Book.php?rt=horde&r1=1.47&r2=1.48&ty=u
2009-08-28 08:57:39 Jan Schneider Assigned to Michael Rubinsky
State ⇒ Assigned
 
2009-08-27 23:06:07 noah (at) lsit (dot) ucsb (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Net_IMSP Sometimes parseFetchAddress fails to remove double quotes
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ Yes
New Attachment: Book-fix-quotes.patch Download
Reply to this comment
Sometimes imspd returns a field with special characters (but no 
spaces) in double quotes. This case is not handled in IMSP/Book.php's 
parseFetchAddress function, so the double quotes show up in the Turba 
contact view/edit interface. Problematic chars include the list 
wildcards '%' and '*' ... possibly others.



To experience the problem, use turba to set the alias of an IMSP 
contact to % (or any other string containing % but NOT containing a 
space), then view or edit that contact and look for, Alias "%".



Patch against HEAD provided.

Saved Queries